metis.h File Reference

Go to the source code of this file.

## Classes

struct | _METIS_CARD

## Typedefs

typedef struct _METIS_CARD | METIS_CARD

## Enumerations

enum | { RxStream_Off , RxStream_NB_On , RxStream_WB_On , RxStream_NBWB_On }

## Functions

void | metis_discover (const char *interface)
int | metis_found ()
char * | metis_ip_address (int entry)
char * | metis_mac_address (int entry)
void | metis_receive_stream_control (unsigned char, unsigned int)
void | metis_stop_receive_thread ()
int | metis_write (unsigned char ep, unsigned char *buffer, int length)
void * | metis_receive_thread (void *arg)
void | metis_send_buffer (unsigned char *buffer, int length)

## Typedef Documentation

## METIS_CARD

typedef struct _METIS_CARD METIS_CARD

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
RxStream_Off |
RxStream_NB_On |
RxStream_WB_On |
RxStream_NBWB_On |

## Function Documentation

## metis_discover()

void metis_discover | ( | const char * | interface | ) |

## metis_found()

int metis_found | ( |  | ) |

## metis_ip_address()

char * metis_ip_address | ( | int | entry | ) |

## metis_mac_address()

char * metis_mac_address | ( | int | entry | ) |

## metis_receive_stream_control()

void metis_receive_stream_control | ( | unsigned char | ,
|  | unsigned int |
| ) |  |

## metis_receive_thread()

void * metis_receive_thread | ( | void * | arg | ) |

## metis_send_buffer()

void metis_send_buffer | ( | unsigned char * | buffer,
|  | int | length
| ) |  |

## metis_stop_receive_thread()

void metis_stop_receive_thread | ( |  | ) |

## metis_write()

int metis_write | ( | unsigned char | ep,
|  | unsigned char * | buffer,
|  | int | length
| ) |  |